commit:     a79cf921206963e5b39b16968880730e00890edf
Author:     Eli Schwartz <eschwartz93 <AT> gmail <DOT> com>
AuthorDate: Tue Oct 24 18:51:05 2023 +0000
Commit:     Zac Medico <zmedico <AT> gentoo <DOT> org>
CommitDate: Wed Nov  8 16:26:35 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a79cf921

app-text/calibre: add 6.29.0

This ports over to Qt6 at last.

Drop code for upstream released fixes:
- zeroconf compatibility backport
- sed workaround for some extensions not respecting FLAGS

There is a new upstream dependency for font subsetting. Its absence is
handled fairly gracefully, many people could successfully use calibre
just fine without ever touching font subsetting, and it's not exactly
small -- add it as a default-enabled USE flag.

Closes: https://bugs.gentoo.org/892697
Signed-off-by: Eli Schwartz <eschwartz93 <AT> gmail.com>
Signed-off-by: Zac Medico <zmedico <AT> gentoo.org>

 app-text/calibre/Manifest              |   2 +
 app-text/calibre/calibre-6.29.0.ebuild | 252 +++++++++++++++++++++++++++++++++
 app-text/calibre/metadata.xml          |   1 +
 3 files changed, 255 insertions(+)

diff --git a/app-text/calibre/Manifest b/app-text/calibre/Manifest
index 15cb62b92968..82588f0f95a8 100644
--- a/app-text/calibre/Manifest
+++ b/app-text/calibre/Manifest
@@ -1,3 +1,5 @@
 DIST calibre-5.43.0.tar.xz 38641220 BLAKE2B 
dddf9e5f7303845f8d86826d38d08dfbf05f144c4fb80d215197f51dc6685f09d848148f00f9795c441f8cd8c541ed9d4988b0a5d2020ce98eb8f8bcd4853dac
 SHA512 
1a5b95c621e47b660841d989445ab56244b9c805aa5d01efc4d95d8c37c5290e93523cedec92a6ca12d16e5f74b63743d6e682bf4084f400d080678ff540a190
 DIST calibre-5.44.0.tar.xz 41015696 BLAKE2B 
c7053e728da20fccfa981ed4f56e24a4d5b382b7687c92ecb039b078fd4828de0529380093e4ab33f77d78aa54a59758c1620cf8f918937a9a64f13decdf77ee
 SHA512 
3d79e76d820cd1a41605dfd4c1d992599a6e4a759e57a8383d42d86982177e4539313f59e647758ab1896ce5874cb2a93c7678bf962e332c44171651aabf0230
 DIST calibre-5.44.0.tar.xz.sig 566 BLAKE2B 
413b95855d79bdb5b17ca5d760f834006797b4d3e413604f27d351a3392e16d647e772dc063306bf973e1156c34f68cb38152a66164bca849ebed5484e7f6065
 SHA512 
59957bf35a73f218241bf76cc86994d5af87cea11d3b0800e83f157bf0b2cfcaf4b6c1314562e74a1141d0c167fdb1619cb9a90e93b67f55dd55ceed77045059
+DIST calibre-6.29.0.tar.xz 41487064 BLAKE2B 
55472db2f510465f32729fe2f5ccd1127f8df8d548a0141c0cbeae50cc17d836cde04c7c69228da4e81512b7438a527922a6a42149bf3b852f7fc2666ef41ec9
 SHA512 
32f5d03d68ba4a2f5572cab1acf68ddc46cbda83edfaba0dc0d793d950060fa54cdb85ba4f5700a56895f915ed126617f2e0b74ca200836b812ad765c9d298e8
+DIST calibre-6.29.0.tar.xz.sig 566 BLAKE2B 
d1ef0a7bbff1959206ab5bff2638e2c5618e342ba189e764894d964493d1e2d0fead74e27d07248251f69573c477333a734c98ec523385e2de33fce526413e0b
 SHA512 
9c1a3408e34ef95b81e9459ce29ae99fdd44df40d438c7107df4840080c6945bdd06270fc17162ce3d04a12c84462de8fe5bc32633bd09f68d65ded761d6f199

diff --git a/app-text/calibre/calibre-6.29.0.ebuild 
b/app-text/calibre/calibre-6.29.0.ebuild
new file mode 100644
index 000000000000..d46f233be144
--- /dev/null
+++ b/app-text/calibre/calibre-6.29.0.ebuild
@@ -0,0 +1,252 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{10..11} )
+PYTHON_REQ_USE="ipv6(+),sqlite,ssl"
+
+inherit toolchain-funcs python-single-r1 qmake-utils verify-sig xdg-utils
+
+DESCRIPTION="Ebook management application"
+HOMEPAGE="https://calibre-ebook.com/";
+SRC_URI="
+       https://download.calibre-ebook.com/${PV}/${P}.tar.xz
+       verify-sig? ( https://calibre-ebook.com/signatures/${P}.tar.xz.sig )
+"
+VERIFY_SIG_OPENPGP_KEY_PATH=/usr/share/openpgp-keys/kovidgoyal.gpg
+
+LICENSE="
+       GPL-3+
+       GPL-3
+       GPL-2+
+       GPL-2
+       GPL-1+
+       LGPL-3+
+       LGPL-2.1+
+       LGPL-2.1
+       BSD
+       MIT
+       Old-MIT
+       Apache-2.0
+       public-domain
+       || ( Artistic GPL-1+ )
+       CC-BY-3.0
+       OFL-1.1
+       PSF-2
+"
+KEYWORDS="~amd64 ~arm ~x86"
+SLOT="0"
+IUSE="+font-subsetting ios speech test +udisks"
+
+RESTRICT="!test? ( test )"
+
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+# Qt slotted dependencies are used because the libheadless.so plugin links to
+# QT_*_PRIVATE_ABI. It only uses core/gui/dbus.
+COMMON_DEPEND="${PYTHON_DEPS}
+       app-i18n/uchardet
+       >=app-text/hunspell-1.7:=
+       >=app-text/podofo-0.10.0:=
+       app-text/poppler[utils]
+       dev-libs/hyphen:=
+       >=dev-libs/icu-57.1:=
+       dev-libs/openssl:=
+       dev-libs/snowball-stemmer:=
+       $(python_gen_cond_dep '
+               >=dev-python/apsw-3.25.2_p1[${PYTHON_USEDEP}]
+               dev-python/beautifulsoup4[${PYTHON_USEDEP}]
+               >=dev-python/css-parser-1.0.4[${PYTHON_USEDEP}]
+               dev-python/dnspython[${PYTHON_USEDEP}]
+               >=dev-python/feedparser-5.2.1[${PYTHON_USEDEP}]
+               >=dev-python/html2text-2019.8.11[${PYTHON_USEDEP}]
+               >=dev-python/html5-parser-0.4.9[${PYTHON_USEDEP}]
+               dev-python/jeepney[${PYTHON_USEDEP}]
+               >=dev-python/lxml-3.8.0[${PYTHON_USEDEP}]
+               >=dev-python/markdown-3.0.1[${PYTHON_USEDEP}]
+               >=dev-python/mechanize-0.3.5[${PYTHON_USEDEP}]
+               >=dev-python/msgpack-0.6.2[${PYTHON_USEDEP}]
+               >=dev-python/netifaces-0.10.5[${PYTHON_USEDEP}]
+               
>=dev-python/pillow-3.2.0[jpeg,truetype,webp,zlib,${PYTHON_USEDEP}]
+               >=dev-python/psutil-4.3.0[${PYTHON_USEDEP}]
+               >=dev-python/pychm-0.8.6[${PYTHON_USEDEP}]
+               >=dev-python/pygments-2.3.1[${PYTHON_USEDEP}]
+               >=dev-python/python-dateutil-2.5.3[${PYTHON_USEDEP}]
+               
dev-python/PyQt6[gui,network,opengl,printsupport,quick,svg,widgets,${PYTHON_USEDEP}]
+               dev-python/PyQt6-WebEngine[widgets,${PYTHON_USEDEP}]
+               dev-python/regex[${PYTHON_USEDEP}]
+               dev-python/zeroconf[${PYTHON_USEDEP}]
+       ')
+       dev-qt/qtbase:6=[gui,widgets]
+       dev-qt/qtimageformats:6
+       dev-util/desktop-file-utils
+       dev-util/gtk-update-icon-cache
+       media-fonts/liberation-fonts
+       media-libs/fontconfig:=
+       >=media-libs/freetype-2:=
+       >=media-libs/libmtp-1.1.11:=
+       >=media-gfx/optipng-0.7.6
+       virtual/libusb:1=
+       x11-misc/shared-mime-info
+       >=x11-misc/xdg-utils-1.0.2-r2
+       font-subsetting? ( $(python_gen_cond_dep 
'dev-python/fonttools[${PYTHON_USEDEP}]') )
+       ios? (
+               >=app-pda/usbmuxd-1.0.8
+               >=app-pda/libimobiledevice-1.2.0
+       )
+       speech? ( $(python_gen_cond_dep 
'app-accessibility/speech-dispatcher[python,${PYTHON_USEDEP}]') )
+       udisks? ( virtual/libudev )"
+RDEPEND="${COMMON_DEPEND}
+       udisks? ( sys-fs/udisks:2 )"
+DEPEND="${COMMON_DEPEND}
+       test? ( $(python_gen_cond_dep 
'>=dev-python/chardet-3.0.3[${PYTHON_USEDEP}]') )
+"
+BDEPEND="$(python_gen_cond_dep '
+               >=dev-python/PyQt-builder-1.10.3[${PYTHON_USEDEP}]
+               >=dev-python/sip-5[${PYTHON_USEDEP}]
+       ')
+       virtual/pkgconfig
+       verify-sig? ( sec-keys/openpgp-keys-kovidgoyal )
+"
+
+PATCHES=(
+       # Don't prompt the user for updates - they've installed via
+       # an ebuild.
+       "${FILESDIR}/${PN}-2.9.0-no_updates_dialog.patch"
+
+       # Skip calling a binary (JxrDecApp) from libjxr which is used for tests
+       # We don't (yet?) package libjxr and it seems to be dead upstream
+       # (last commit in 2017)
+       "${FILESDIR}/${PN}-5.35.0-jxr-test.patch"
+)
+
+src_prepare() {
+       default
+
+       # Warning:
+       #
+       # While it might be rather tempting to add yet another sed here,
+       # please don't. There have been several bugs in Gentoo's packaging
+       # of calibre from seds-which-become-stale. Please consider
+       # creating a patch instead, but in any case, run the test suite
+       # and ensure it passes.
+       #
+       # If in doubt about a problem, checking Fedora's packaging is 
recommended.
+
+       # Disable unnecessary privilege dropping for bug #287067.
+       sed -e "s:if os.geteuid() == 0:if False and os.geteuid() == 0:" \
+               -i setup/install.py || die "sed failed to patch install.py"
+
+       # This is only ever used at build time. It contains a small embedded 
copy
+       # of the rapydscript-ng compiler usable inside of qtwebengine, if you 
don't
+       # have rapydscript-ng (a nodejs package) itself installed. Its only 
purpose
+       # is to build some resources that come bundled in dist tarballs 
already...
+       # and which we may also need to regenerate e.g. to use system-mathjax.
+       #
+       # However, running qtwebengine violates the portage sandbox (among other
+       # things, it tries to create directories in /usr! amazing) so this is a
+       # wash anyway. The only real solution here is to package rapydscript-ng.
+       #
+       # We do not need it at build time, and *no one* needs it at install 
time.
+       # Delete the cruft.
+       rm -r resources/rapydscript/ || die
+}
+
+src_compile() {
+       # TODO: get qmake called by setup.py to respect CC and CXX too
+       tc-export CC CXX
+
+       # bug 821871
+       local MY_LIBDIR="${ESYSROOT}/usr/$(get_libdir)"
+       export FT_LIB_DIR="${MY_LIBDIR}" HUNSPELL_LIB_DIR="${MY_LIBDIR}" 
PODOFO_LIB_DIR="${MY_LIBDIR}"
+       export QMAKE="$(qt6_get_bindir)/qmake"
+
+       ${EPYTHON} setup.py build || die
+       ${EPYTHON} setup.py gui || die
+
+       # A few different resources are bundled in the distfile by default, 
because
+       # not all systems necessarily have them. We un-vendor them, using the
+       # upstream integrated approach if possible. See setup/revendor.py and
+       # consider migrating other resources to this if they do not use it, in
+       # *preference* over manual rm'ing.
+       ${EPYTHON} setup.py liberation_fonts \
+               --path-to-liberation_fonts 
"${EPREFIX}"/usr/share/fonts/liberation-fonts \
+               --system-liberation_fonts || die
+}
+
+src_test() {
+       # Skipped tests:
+       local _test_excludes=(
+               # unpackaged Python dependency: py7zr
+               7z
+               # unpackaged Python dependency: unrardll
+               test_unrar
+               # unpackaged Python dependency: pyzstd
+               test_zstd
+               # tests if a completely unused module is bundled
+               pycryptodome
+
+               $(usev !speech speech_dispatcher)
+
+               # undocumented reasons
+               test_mem_leaks
+               test_searching
+       )
+
+       ${PYTHON} setup.py test "${_test_excludes[@]/#/--exclude-test-name=}" 
|| die
+}
+
+src_install() {
+       # Bug #352625 - Some LANGUAGE values can trigger the following 
ValueError:
+       #   File "/usr/lib/python2.6/locale.py", line 486, in getdefaultlocale
+       #    return _parse_localename(localename)
+       #  File "/usr/lib/python2.6/locale.py", line 418, in _parse_localename
+       #    raise ValueError, 'unknown locale: %s' % localename
+       #ValueError: unknown locale: 46
+       export -n LANG LANGUAGE ${!LC_*}
+       export LC_ALL=C.utf8 #709682
+
+       # Bug #295672 - Avoid sandbox violation in ~/.config by forcing
+       # variables to point to our fake temporary $HOME.
+       export HOME="${T}/fake_homedir"
+       export CALIBRE_CONFIG_DIRECTORY="${HOME}/.config/calibre"
+       mkdir -p "${CALIBRE_CONFIG_DIRECTORY}" || die
+
+       addpredict /dev/dri #665310
+
+       # If this directory doesn't exist, zsh completion won't install
+       dodir /usr/share/zsh/site-functions
+
+       "${PYTHON}" setup.py install \
+               --staging-root="${ED}/usr" \
+               --prefix="${EPREFIX}/usr" \
+               --libdir="${EPREFIX}/usr/$(get_libdir)" \
+               --staging-libdir="${ED}/usr/$(get_libdir)" \
+               
--system-plugins-location="${EPREFIX}/usr/share/calibre/system-plugins" || die
+
+       cp -r man-pages/ "${ED}"/usr/share/man || die
+
+       find "${ED}"/usr/share -type d -empty -delete || die
+
+       einfo "Converting python shebangs"
+       python_fix_shebang "${ED}/usr/bin"
+
+       einfo "Compiling python modules"
+       python_optimize "${ED}"/usr/$(get_libdir)/calibre 
"${D}/$(python_get_sitedir)"
+
+       newinitd "${FILESDIR}"/calibre-server-3.init calibre-server
+       newconfd "${FILESDIR}"/calibre-server-3.conf calibre-server
+}
+
+pkg_postinst() {
+       xdg_desktop_database_update
+       xdg_mimeinfo_database_update
+       xdg_icon_cache_update
+}
+
+pkg_postrm() {
+       xdg_desktop_database_update
+       xdg_mimeinfo_database_update
+       xdg_icon_cache_update
+}

diff --git a/app-text/calibre/metadata.xml b/app-text/calibre/metadata.xml
index 7a4fb8fcb017..1b2e2f427bd3 100644
--- a/app-text/calibre/metadata.xml
+++ b/app-text/calibre/metadata.xml
@@ -13,6 +13,7 @@
     <remote-id type="github">kovidgoyal/calibre</remote-id>
   </upstream>
   <use>
+    <flag name="font-subsetting">Enable font subsetting support</flag>
     <flag name="speech">Enable text-to-speech support</flag>
   </use>
 </pkgmetadata>

Reply via email to